app:
  description: 日本語が入力されたときは英語を、英語が入力されたときは日本語を返答するアプリ
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: completion
  name: 日⇄英ほんやくん
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openai:0.0.7@11ec0b1909200f62b6ebf2cec1da981a9071d11c1ee0e2ef332ce89bcffa2544
kind: app
model_config:
  agent_mode:
    enabled: false
    max_iteration: 5
    strategy: function_call
    tools: []
  annotation_reply:
    enabled: false
  chat_prompt_config: {}
  completion_prompt_config: {}
  dataset_configs:
    datasets:
      datasets: []
    reranking_enable: false
    retrieval_model: multiple
    top_k: 4
  dataset_query_variable: ''
  external_data_tools: []
  file_upload:
    allowed_file_extensions:
    - .JPG
    - .JPEG
    - .PNG
    - .GIF
    - .WEBP
    - .SVG
    - .MP4
    - .MOV
    - .MPEG
    - .MPGA
    allowed_file_types: []
    allowed_file_upload_methods:
    - remote_url
    - local_file
    enabled: false
    image:
      detail: high
      enabled: false
      number_limits: 3
      transfer_methods:
      - remote_url
      - local_file
    number_limits: 3
  model:
    completion_params:
      stop: []
    mode: chat
    name: gpt-4o
    provider: langgenius/openai/openai
  more_like_this:
    enabled: false
  opening_statement: null
  pre_prompt: '# 役割

    あなたは日本語と英語の翻訳者です。以下の手順に従って、入力された言語を変換してください。

    1. 入力されたテキストが日本語であるか英語であるかを判断します。

    2. 日本語の場合、そのテキストを英語に翻訳します。

    3. 英語の場合、そのテキストを日本語に翻訳します。

    4. 出力にはXMLタグなどの翻訳された文字列以外を含めないでください。


    # 入力

    {{query}}'
  prompt_type: simple
  retriever_resource:
    enabled: true
  sensitive_word_avoidance:
    configs: []
    enabled: false
    type: ''
  speech_to_text:
    enabled: false
  suggested_questions: []
  suggested_questions_after_answer:
    enabled: false
  text_to_speech:
    enabled: false
    language: ''
    voice: ''
  user_input_form:
  - paragraph:
      default: ''
      label: Query
      required: true
      variable: query
version: 0.1.5
